#{extends 'borderNG.html' /}
<div class="content" xmlns="http://www.w3.org/1999/html">
    <ol class="breadcrumb"  style="background-color: #d9534f !important;">
        <li><a href="@{BerandaCtr.index()}">Beranda</a></li>
        <li><a href="@{nonSPk.NonSpkCtr.edit(nonSpk?.lls_id)}">Edit Paket</a></li>
        <li class="active">Form Realisasi</li>
    </ol>
    #{alert /}
    #{form @nonSpk.RealisasiNonSpkCtr.simpanJenisRealisasi(nonSpk?.lls_id), name:'formJenisRealisasi', enctype:"multipart/form-data", method:'POST'}

    <table class="table table-sm">
        <tr>
            <td width="300">Bukti Pembayaran</td>
            <td colspan="3">#{selectBuktiPembayaran  'jenisRealisasiNonSpk.rsk_bukti_pembayaran', value:jenisRealisasiNonSpk?.rsk_bukti_pembayaran /}</td>
        </tr>
        <tr>
            <td width="300" >Jenis Realisasi<span class="warning"> *</span></td>
            <td>
                #{selectJenisDokumen 'jenisRealisasiNonSpk.rsk_jenis', value:jenisRealisasiNonSpk?.rsk_jenis, disabled:!draft /}
                <div class="invalid-feedback">#{error 'jenisRealisasiNonSpk.rsk_jenis' /}</div>
            </td>
        </tr>
        <tr id="nama_dok">
            <td width="300" >Nama Dokumen<span class="warning"> *</span> </td>
            <td>
                <input type="text" class="form-control  #{validate 'jenisRealisasiNonSpk.rsk_nama_dok'/}" name="jenisRealisasiNonSpk.rsk_nama_dok"
                       value="${jenisRealisasiNonSpk?.rsk_nama_dok}"/>
                <div class="invalid-feedback">#{error 'jenisRealisasiNonSpk.rsk_nama_dok' /}</div>
            </td>
        </tr>
        *{<tr>
        <td width="300" >Nama Penyedia </td>
        <td>
            <input type="text" class="form-control " name="jenisRealisasiNonSpk.rsk_nama"
                   value="${jenisRealisasiNonSpk?.rsk_nama}"/>
            &nbsp;&nbsp;
            <a href="@{nonSpk.RealisasiNonSpkCtr.tambahPenyediaSikap()}">Tambah Penyedia</a>
        </td>
    </tr>
        <tr>
            <td width="300" >NPWP </td>
            <td>
                <input type="text" class="form-control " id="npwp" name="jenisRealisasiNonSpk.rsk_npwp"
                       value="${jenisRealisasiNonSpk?.rsk_npwp}"/>
                <input type="hidden"  name="jenisRealisasiNonSpk.rsk_id"
                       value="${jenisRealisasiNonSpk?.rsk_id}"/>
            </td>
        </tr>}*
        <tr>
            <td width="300" >Nomor Dokumen </td>
            <td>
                <input type="text" class="form-control " id="nomor" name="jenisRealisasiNonSpk.rsk_nomor"
                       value="${jenisRealisasiNonSpk?.rsk_nomor}"/>
                <input type="hidden" name="jenisRealisasiNonSpk.rsk_id"
                       value="${jenisRealisasiNonSpk?.rsk_id}"/>
            </td>
        </tr>
        <tr>
            <td width="300" >Nilai Realisasi (Rp)  <span class="warning"> *</span></td>
            <td>
                <input type="text" class="form-control  money #{validate 'jenisRealisasiNonSpk.rsk_nilai'/}" id="nilai" name="jenisRealisasiNonSpk.rsk_nilai"
                       value="${jenisRealisasiNonSpk?.rsk_nilai?.formatDouble()}"/>
                <div class="invalid-feedback">#{error 'jenisRealisasiNonSpk.rsk_nilai' /}</div>

                <input type="hidden"  name="jenisRealisasiNonSpk.rsk_id"
                       value="${jenisRealisasiNonSpk?.rsk_id}"/>

                <div class="bs-callout bs-callout-warning">
                    Gunakan koma untuk pemisah desimal.
                </div>
            </td>
        </tr>
        <tr>
            <td >Tanggal Realisasi <span class="warning"> *</span></td>
            <td >
                <div class="input-group date datepicker width-normal">
                    <input name="jenisRealisasiNonSpk.rsk_tanggal" value="${jenisRealisasiNonSpk?.rsk_tanggal?.toDatepicker()}"
                           type="text" class="form-control datepicker #{validate 'jenisRealisasiNonSpk.rsk_tanggal'/}"/>
                    <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                    <div class="invalid-feedback">#{error 'jenisRealisasiNonSpk.rsk_tanggal' /}</div>
                </div>
            </td>
        </tr>
        <tr>
            <td width="300" >File Upload </td>
            <td>
                <input type="file" id="attachment"  size="60" name="attachment" class="form-control"  />

                #{if jenisRealisasiNonSpk?.rsk_id_attachment}
                <br />
                <input type=hidden name="jenisRealisasiNonSpk.rsk_id_attachment" value="${jenisRealisasiNonSpk?.rsk_id_attachment}" />
                <div>
                    <a href="${jenisRealisasiNonSpk?.getBlob()?.getDownloadUrl()}">${jenisRealisasiNonSpk?.getBlob()?.getFileName()}</a>
                    <a href="javascript:void(0)" class="removeBtn"><input type="hidden" name="hapus1" value="${jenisRealisasiNonSpk?.rsk_id_attachment} "><i class="fa fa-trash-o fa-lg"></i></a>
                </div>
                #{/if}
            </td>
        </tr>
        <tr>
            <td width="300" >Keterangan </td>
            <td><textarea class="form-control " name="jenisRealisasiNonSpk.rsk_keterangan">${jenisRealisasiNonSpk?.rsk_keterangan}</textarea>
            </td>
        </tr>

        <tr>
            <td>
                Pilih Penyedia
            </td>
            <td>
                #{if jenisRealisasiNonSpk?.rsk_id != null}
                <select id="penyediaSelect" name="" class="form-control  selectpicker" data-width="auto">
                    <option value="0" #{if !jenisRealisasiNonSpk?.is_penyedia}selected#{/if}>Data Non SIKaP</option>
                    <option value="1" #{if jenisRealisasiNonSpk?.is_penyedia}selected#{/if}>Data SIKaP</option>
                </select>
                <br /><br />

                <div class="card card-danger" id="panel-nonpenyedia">

                    <div class="card-header">
                        <a href="@{nonspk.RealisasiNonSpkCtr.viewTambahPenyediaNonSikap(jenisRealisasiNonSpk?.rsk_id, jenisRealisasiNonSpk?.lls_id)}" class="btn btn-secondary ">
                            <i class="fa fa-plus-circle"></i> Tambah Penyedia
                        </a>
                    </div>

                    <table class="table table-sm table-bordered">
                        <thead>
                        <tr>
                            <th width="5">No</th>
                            <th>Nama Penyedia</th>
                            <th>NPWP</th>
                            <th>Email</th>
                            <th>Telp</th>
                            <th>Alamat</th>
                            <th width="5"></th>
                        </tr>
                        </thead>
                        <tbody>
                        #{list items:realisasiNonPenyediaNonSpkList, as:'realiasiPenyediaNonSpk'}
                        <tr>
                            <td>${realiasiPenyediaNonSpk_index}</td>
                            <td>${realiasiPenyediaNonSpk.rn_nama_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rn_npwp_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rn_email_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rn_telp_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rn_alamat_rekanan}</td>

                            <td>
                                <a href="@{nonspk.RealisasiNonSpkCtr.hapusNonPenyedia(realiasiPenyediaNonSpk.rn_id)}"
                                   class="btn btn-danger btn-sm"
                                   onclick="return confirm('Anda yakin akan menghapus data ini?');">Hapus</a>
                            </td>

                        </tr>
                        #{/list}
                        </tbody>
                    </table>
                </div>
                <div class="card card-info" id="panel-penyedia">

                    <div class="card-header">
                        <a href="@{nonspk.RealisasiNonSpkCtr.viewPilihPenyedia(jenisRealisasiNonSpk?.rsk_id)}" class="btn btn-secondary ">
                            <i class="fa fa-plus-circle"></i> Tambah Penyedia
                        </a>
                    </div>

                    <table class="table table-sm table-bordered">
                        <thead>
                        <tr>
                            <th width="5">No</th>
                            <th>Nama Penyedia</th>
                            <th>NPWP</th>
                            <th>Email</th>
                            <th>Telp</th>
                            <th>Alamat</th>
                            <th width="5"></th>
                        </tr>
                        </thead>
                        <tbody>
                        #{list items:realisasiPenyediaNonSpkList, as:'realiasiPenyediaNonSpk'}
                        <tr>
                            <td>${realiasiPenyediaNonSpk_index}</td>
                            <td>${realiasiPenyediaNonSpk.rp_nama_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rp_npwp_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rp_email_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rp_telp_rekanan}</td>
                            <td>${realiasiPenyediaNonSpk.rp_alamat_rekanan}</td>
                            <td>
                                <a href="@{nonspk.RealisasiNonSpkCtr.hapusPenyedia(realiasiPenyediaNonSpk.rp_id)}"
                                   class="btn btn-danger btn-sm"
                                   onclick="return confirm('Anda yakin akan menghapus data ini?');">Hapus</a>
                            </td>
                        </tr>
                        #{/list}
                        </tbody>
                    </table>
                </div>
                #{/if}
                #{if jenisRealisasiNonSpk?.rsk_id == null}
                <div class="bs-callout bs-callout-warning">
                    Pilih Penyedia setelah selesai menyimpan realisasi.
                </div>
                #{/if}
            </td>
        </tr>

        <tr>
            <td>
                <button type="submit" name="simpan" class="btn btn-success"> <i class="fa fa-save"></i> Simpan</button>
                <a href="@{nonSpk.NonSpkCtr.edit(nonSpk?.lls_id)}" class="btn btn-secondary">  Kembali</a>
            </td>
            <td>
                <div style="float: right;"><strong>Total Nilai Realisasi : </strong>${totalNilaiRealisasi}</div>
            </td>
        </tr>
    </table>
    #{/form}
</div>

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script>

    $( document ).ready(function() {

     new AutoNumeric('.money', { digitGroupSeparator: '.', decimalCharacter: ',' });

        var initialRealizationDate = $("#realDate").val();
        if(initialRealizationDate == ""){
            $(".date").data("datepicker").setDate(new Date());
        }

        var val = $('[name="jenisRealisasiNonSpk.rsk_jenis"]').val();
        if(val === "7")
            $("#nama_dok").show();
        else
            $("#nama_dok").hide();

        #{if jenisRealisasiNonSpk?.is_penyedia}
            $("#panel-penyedia").show();
            $("#panel-nonpenyedia").hide();
        #{/if}
        #{else}
            $("#panel-penyedia").hide();
            $("#panel-nonpenyedia").show();
        #{/else}
    });

    $('[name="jenisRealisasiNonSpk.rsk_jenis"]').on('change', function() {
        var val = $(this).val();
        if(val === "7")
            $("#nama_dok").show();
        else
            $("#nama_dok").hide();
    });

    $('#penyediaSelect').on('change', function() {
        var val = $(this).val();
        if(val === "0") {
            $("#panel-penyedia").hide();
            $("#panel-nonpenyedia").show();
        } else {
            $("#panel-penyedia").show();
            $("#panel-nonpenyedia").hide();
        }
    });


    $(document).on('click', '.removeBtn', function() {
        $(this).parent().remove();
    });

    $('#npwp').on("focus", function () {
        $(this).mask("99.999.999.9-999.999");
    });

    $("#nilai").keypress(function (e) {
        return isNumberKey2(e);
    });

</script>
#{/set}